NX Open C++ Reference Guide
|
Represents a Features::VehicleDesign::WheelFixing builder used to create or edit a vehicle design wheel fixing. More...
Public Types | |
enum | ObjectPositionType { ObjectPositionTypeWheelExtents, ObjectPositionTypeWheelContact } |
Represents the object position used to indicate if the wheel fixing is positioned at the theoretically widest dimension of the wheel (diameter) or exactly at the wheel geometry of the base data. More... | |
enum | PositionType { PositionTypeFront, PositionTypeRear, PositionTypeBoth } |
Represents the wheel fixing positions. More... | |
enum | RequirementsControlType { RequirementsControlTypeStandardDriven, RequirementsControlTypeUserDefined } |
Represents the requirements control types to define the wheel fixing. More... | |
enum | ShapeType { ShapeTypeBlock, ShapeTypeCircleSegment } |
Represents the shape used to indicate if the wheel fixing is a block or a circle segment. More... | |
enum | WheelSizeType { WheelSizeTypeStaticRadius, WheelSizeTypeDiameter } |
Represents the wheel size used to indicate if the wheel fixing is based on static radius or the diameter of the wheels. More... | |
Public Member Functions | |
NXOpen::Expression * | HeightZ () |
Returns the expression that contains the value which indicates the height Z of the wheel fixing when the shape is block. | |
NXOpen::Expression * | LengthX () |
Returns the expression that contains the value which indicates the Length X of the wheel fixing when the shape is block. | |
NXOpen::Expression * | LevelZ () |
Returns the expression that contains the value which indicates the level Z of the wheel fixing when the shape is circle segment. | |
NXString | Loading () |
Returns the loading used in the wheel fixing. | |
NXOpen::Features::VehicleDesign::WheelFixingBuilder::ObjectPositionType | ObjectPosition () |
Returns the wheel fixing object position. | |
NXOpen::Features::VehicleDesign::WheelFixingBuilder::PositionType | Position () |
Returns the wheel fixing position. | |
NXOpen::Expression * | Radius () |
Returns the expression that contains the value which indicates the radius of the wheel fixing when the shape is circle segment. | |
NXOpen::Features::VehicleDesign::WheelFixingBuilder::RequirementsControlType | RequirementsControl () |
Returns the requirements control for standard driven or user defined. | |
void | SetLoading (const NXString &loading) |
Sets the loading used in the wheel fixing. | |
void | SetLoading (const char *loading) |
Sets the loading used in the wheel fixing. | |
void | SetObjectPosition (NXOpen::Features::VehicleDesign::WheelFixingBuilder::ObjectPositionType objectPosition) |
Sets the wheel fixing object position. | |
void | SetPosition (NXOpen::Features::VehicleDesign::WheelFixingBuilder::PositionType position) |
Sets the wheel fixing position. | |
void | SetRequirementsControl (NXOpen::Features::VehicleDesign::WheelFixingBuilder::RequirementsControlType requirementsControl) |
Sets the requirements control for standard driven or user defined. | |
void | SetShape (NXOpen::Features::VehicleDesign::WheelFixingBuilder::ShapeType shape) |
Sets the wheel fixing shape. | |
void | SetStandard (const NXString &standard) |
Sets the standard used to define the wheel fixing. | |
void | SetStandard (const char *standard) |
Sets the standard used to define the wheel fixing. | |
void | SetWheelSize (NXOpen::Features::VehicleDesign::WheelFixingBuilder::WheelSizeType wheelSize) |
Sets the wheel size of the wheel fixing. | |
NXOpen::Features::VehicleDesign::WheelFixingBuilder::ShapeType | Shape () |
Returns the wheel fixing shape. | |
NXString | Standard () |
Returns the standard used to define the wheel fixing. | |
NXOpen::Features::VehicleDesign::WheelFixingBuilder::WheelSizeType | WheelSize () |
Returns the wheel size of the wheel fixing. | |
NXOpen::Expression * | WidthY () |
Returns the expression that contains the value which indicates the Width Y of the wheel fixing when the shape is block. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Features::VehicleDesign::WheelFixing builder used to create or edit a vehicle design wheel fixing.
To create a new instance of this class, use Features::VehicleDesignCollection::CreateWheelFixingBuilder
Default values.
Property | Value |
---|---|
HeightZ.Value |
0 |
LengthX.Value |
0 |
LevelZ.Value |
0 |
ObjectPosition |
WheelExtents |
Position |
Front |
Radius.Value |
0 |
RequirementsControl |
StandardDriven |
Shape | |
WheelSize |
StaticRadius |
WidthY.Value |
0 |
Created in NX8.5.0.
NXOpen::Expression* NXOpen::Features::VehicleDesign::WheelFixingBuilder::HeightZ | ( | ) |
Returns the expression that contains the value which indicates the height Z of the wheel fixing when the shape is block.
Created in NX8.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::VehicleDesign::WheelFixingBuilder::LengthX | ( | ) |
Returns the expression that contains the value which indicates the Length X of the wheel fixing when the shape is block.
Created in NX8.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::VehicleDesign::WheelFixingBuilder::LevelZ | ( | ) |
Returns the expression that contains the value which indicates the level Z of the wheel fixing when the shape is circle segment.
Created in NX8.5.0.
License requirements : None
NXString NXOpen::Features::VehicleDesign::WheelFixingBuilder::Loading | ( | ) |
Returns the loading used in the wheel fixing.
Created in NX8.5.0.
License requirements : None
NXOpen::Features::VehicleDesign::WheelFixingBuilder::ObjectPositionType NXOpen::Features::VehicleDesign::WheelFixingBuilder::ObjectPosition | ( | ) |
Returns the wheel fixing object position.
Created in NX8.5.0.
License requirements : None
NXOpen::Features::VehicleDesign::WheelFixingBuilder::PositionType NXOpen::Features::VehicleDesign::WheelFixingBuilder::Position | ( | ) |
Returns the wheel fixing position.
Created in NX8.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::VehicleDesign::WheelFixingBuilder::Radius | ( | ) |
Returns the expression that contains the value which indicates the radius of the wheel fixing when the shape is circle segment.
Created in NX8.5.0.
License requirements : None
NXOpen::Features::VehicleDesign::WheelFixingBuilder::RequirementsControlType NXOpen::Features::VehicleDesign::WheelFixingBuilder::RequirementsControl | ( | ) |
Returns the requirements control for standard driven or user defined.
Created in NX8.5.0.
License requirements : None
void NXOpen::Features::VehicleDesign::WheelFixingBuilder::SetLoading | ( | const NXString & | loading | ) |
Sets the loading used in the wheel fixing.
Created in NX8.5.0.
License requirements : nx_general_packaging ("NX General Packaging")
loading | loading |
void NXOpen::Features::VehicleDesign::WheelFixingBuilder::SetLoading | ( | const char * | loading | ) |
Sets the loading used in the wheel fixing.
Created in NX8.5.0.
License requirements : nx_general_packaging ("NX General Packaging")
loading | loading |
void NXOpen::Features::VehicleDesign::WheelFixingBuilder::SetObjectPosition | ( | NXOpen::Features::VehicleDesign::WheelFixingBuilder::ObjectPositionType | objectPosition | ) |
Sets the wheel fixing object position.
Created in NX8.5.0.
License requirements : nx_general_packaging ("NX General Packaging")
objectPosition | objectposition |
void NXOpen::Features::VehicleDesign::WheelFixingBuilder::SetPosition | ( | NXOpen::Features::VehicleDesign::WheelFixingBuilder::PositionType | position | ) |
Sets the wheel fixing position.
Created in NX8.5.0.
License requirements : nx_general_packaging ("NX General Packaging")
position | position |
void NXOpen::Features::VehicleDesign::WheelFixingBuilder::SetRequirementsControl | ( | NXOpen::Features::VehicleDesign::WheelFixingBuilder::RequirementsControlType | requirementsControl | ) |
Sets the requirements control for standard driven or user defined.
Created in NX8.5.0.
License requirements : nx_general_packaging ("NX General Packaging")
requirementsControl | requirementscontrol |
void NXOpen::Features::VehicleDesign::WheelFixingBuilder::SetShape | ( | NXOpen::Features::VehicleDesign::WheelFixingBuilder::ShapeType | shape | ) |
Sets the wheel fixing shape.
Created in NX8.5.0.
License requirements : nx_general_packaging ("NX General Packaging")
shape | shape |
void NXOpen::Features::VehicleDesign::WheelFixingBuilder::SetStandard | ( | const NXString & | standard | ) |
Sets the standard used to define the wheel fixing.
Only used when the requirements control type is @link Features::VehicleDesign::WheelFixingBuilder::RequirementsControlTypeStandardDriven Features::VehicleDesign::WheelFixingBuilder::RequirementsControlTypeStandardDriven@endlink .
Created in NX8.5.0.
License requirements : nx_general_packaging ("NX General Packaging")
standard | standard |
void NXOpen::Features::VehicleDesign::WheelFixingBuilder::SetStandard | ( | const char * | standard | ) |
Sets the standard used to define the wheel fixing.
Only used when the requirements control type is @link Features::VehicleDesign::WheelFixingBuilder::RequirementsControlTypeStandardDriven Features::VehicleDesign::WheelFixingBuilder::RequirementsControlTypeStandardDriven@endlink .
Created in NX8.5.0.
License requirements : nx_general_packaging ("NX General Packaging")
standard | standard |
void NXOpen::Features::VehicleDesign::WheelFixingBuilder::SetWheelSize | ( | NXOpen::Features::VehicleDesign::WheelFixingBuilder::WheelSizeType | wheelSize | ) |
Sets the wheel size of the wheel fixing.
Created in NX8.5.0.
License requirements : nx_general_packaging ("NX General Packaging")
wheelSize | wheelsize |
NXOpen::Features::VehicleDesign::WheelFixingBuilder::ShapeType NXOpen::Features::VehicleDesign::WheelFixingBuilder::Shape | ( | ) |
Returns the wheel fixing shape.
Created in NX8.5.0.
License requirements : None
NXString NXOpen::Features::VehicleDesign::WheelFixingBuilder::Standard | ( | ) |
Returns the standard used to define the wheel fixing.
Only used when the requirements control type is @link Features::VehicleDesign::WheelFixingBuilder::RequirementsControlTypeStandardDriven Features::VehicleDesign::WheelFixingBuilder::RequirementsControlTypeStandardDriven@endlink .
Created in NX8.5.0.
License requirements : None
NXOpen::Features::VehicleDesign::WheelFixingBuilder::WheelSizeType NXOpen::Features::VehicleDesign::WheelFixingBuilder::WheelSize | ( | ) |
Returns the wheel size of the wheel fixing.
Created in NX8.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::VehicleDesign::WheelFixingBuilder::WidthY | ( | ) |
Returns the expression that contains the value which indicates the Width Y of the wheel fixing when the shape is block.
Created in NX8.5.0.
License requirements : None